# RailVehicleInfo Struct Reference

## Data Fields
byte | image_index
RailVehicleTypes | railveh_type
byte | cost_factor
| Purchase cost factor; For multiheaded engines the sum of both engine prices.
RailTypeByte | railtype
uint16 | max_speed
| Maximum speed (1 unit = 1/1.6 mph = 1 km-ish/h).
uint16 | power
| Power of engine (hp); For multiheaded engines the sum of both engine powers.
uint16 | weight
| Weight of vehicle (tons); For multiheaded engines the weight of each single engine.
byte | running_cost
| Running cost of engine; For multiheaded engines the sum of both running costs.
Price | running_cost_class
EngineClass | engclass
| Class of engine for this vehicle.
byte | capacity
| Cargo capacity of vehicle; For multiheaded engines the capacity of each single engine.
byte | ai_passenger_only
| Bit value to tell AI that this engine is for passenger use only.
uint16 | pow_wag_power
| Extra power applied to consist if wagon should be powered.
byte | pow_wag_weight
| Extra weight applied to consist if wagon should be powered.
byte | visual_effect
| Bitstuffed NewGRF visual effect data.
byte | shorten_factor
| length on main map for this type is 8 - shorten_factor
byte | tractive_effort
| Tractive effort coefficient.
byte | air_drag
| Coefficient of air drag.
byte | user_def_data
| Property 0x25: "User-defined bit mask" Used only for (very few) NewGRF vehicles.

## Detailed Description

Definition at line 40 of file engine_type.h.

The documentation for this struct was generated from the following file:

- src/engine_type.h